diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -20369,7 +20409,7 @@ b(command)g(lines)11 b Fc(:)i(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f
 (:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)38
 b Fb(102)2025 4043 y(en)n(vironmen)n(t)12 b Fc(:)g(:)h(:)g(:)h(:)f(:)g
 (:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)
-g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)39 b Fb(37)2025
+g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)39 b Fb(38)2025
 4133 y(ev)l(aluation,)26 b(arithmetic)e Fc(:)13 b(:)g(:)g(:)g(:)g(:)g
 (:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)
 g(:)49 b Fb(87)2025 4224 y(ev)n(en)n(t)24 b(designators)14
@@ -20377,7 +20417,7 @@ b Fc(:)h(:)e(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)
 g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)41 b
 Fb(135)2025 4314 y(execution)25 b(en)n(vironmen)n(t)11
 b Fc(:)i(:)g(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)
-h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)37 b Fb(36)2025 4405
+h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)37 b Fb(37)2025 4405
 y(exit)25 b(status)18 b Fc(:)c(:)f(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g
 (:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)
 h(:)f(:)g(:)g(:)g(:)45 b Fb(3,)26 b(38)2025 4495 y(expansion)20
@@ -20448,7 +20488,7 @@ b(readline)18 b Fc(:)c(:)f(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g
 (:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)45
 b Fb(101)150 2192 y(in)n(teractiv)n(e)26 b(shell)14 b
 Fc(:)g(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f
-(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)41 b Fb(81,)26
+(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)41 b Fb(82,)26
 b(83)150 2279 y(in)n(ternationalization)14 b Fc(:)h(:)f(:)f(:)g(:)g(:)g
 (:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)
 g(:)h(:)f(:)g(:)g(:)41 b Fb(7)150 2512 y Fs(J)150 2628
@@ -20470,7 +20510,7 @@ g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h
 (:)f(:)g(:)41 b Fb(7)150 3621 y(login)27 b(shell)17 b
 Fc(:)d(:)f(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g
 (:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)
-g(:)g(:)44 b Fb(81)150 3871 y Fs(M)150 3987 y Fb(matc)n(hing,)26
+g(:)g(:)44 b Fb(82)150 3871 y Fs(M)150 3987 y Fb(matc)n(hing,)26
 b(pattern)20 b Fc(:)14 b(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)
 g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)47
 b Fb(30)150 4074 y(metac)n(haracter)18 b Fc(:)d(:)e(:)g(:)g(:)g(:)g(:)g
@@ -20495,7 +20535,7 @@ b Fb(23)150 5415 y(parameters)17 b Fc(:)d(:)f(:)g(:)h(:)f(:)g(:)g(:)g
 g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)43 b Fb(18)2025
 299 y(parameters,)27 b(p)r(ositional)18 b Fc(:)d(:)e(:)g(:)g(:)g(:)g(:)
 g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h
-(:)44 b Fb(19)2025 387 y(parameters,)27 b(sp)r(ecial)18
+(:)44 b Fb(20)2025 387 y(parameters,)27 b(sp)r(ecial)18
 b Fc(:)c(:)f(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)
 g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)44 b Fb(20)2025
 474 y(pathname)25 b(expansion)12 b Fc(:)h(:)g(:)h(:)f(:)g(:)g(:)g(:)g
@@ -20537,7 +20577,7 @@ b(ho)n(w)g(to)g(use)c Fc(:)13 b(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g
 b Fb(100)2025 2179 y(redirection)7 b Fc(:)13 b(:)g(:)h(:)f(:)g(:)g(:)g
 (:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)
 g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)33 b
-Fb(31)2025 2267 y(reserv)n(ed)25 b(w)n(ord)7 b Fc(:)14
+Fb(32)2025 2267 y(reserv)n(ed)25 b(w)n(ord)7 b Fc(:)14
 b(:)f(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g
 (:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)34
 b Fb(3)2025 2355 y(restricted)26 b(shell)8 b Fc(:)14
@@ -20566,7 +20606,7 @@ g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g
 (:)g(:)34 b Fb(4)2025 3322 y(signal)27 b(handling)17
 b Fc(:)c(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)
 g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)44
-b Fb(38)2025 3410 y(sp)r(ecial)27 b(builtin)10 b Fc(:)j(:)g(:)g(:)g(:)g
+b Fb(39)2025 3410 y(sp)r(ecial)27 b(builtin)10 b Fc(:)j(:)g(:)g(:)g(:)g
 (:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)
 g(:)h(:)f(:)g(:)g(:)g(:)g(:)g(:)37 b Fb(4,)26 b(68)2025
 3498 y(startup)f(\014les)d Fc(:)13 b(:)g(:)g(:)g(:)g(:)h(:)f(:)g(:)g(:)
diff --git a/doc/bashref.toc b/doc/bashref.toc
index 46d12412..401317c2 100644
--- a/doc/bashref.toc
+++ b/doc/bashref.toc
@@ -24,7 +24,7 @@
 @numsubsecentry{GNU Parallel}{3.2.6}{GNU Parallel}{15}
 @numsecentry{Shell Functions}{3.3}{Shell Functions}{17}
 @numsecentry{Shell Parameters}{3.4}{Shell Parameters}{18}
-@numsubsecentry{Positional Parameters}{3.4.1}{Positional Parameters}{19}
+@numsubsecentry{Positional Parameters}{3.4.1}{Positional Parameters}{20}
 @numsubsecentry{Special Parameters}{3.4.2}{Special Parameters}{20}
 @numsecentry{Shell Expansions}{3.5}{Shell Expansions}{21}
 @numsubsecentry{Brace Expansion}{3.5.1}{Brace Expansion}{21}
@@ -36,8 +36,8 @@
 @numsubsecentry{Word Splitting}{3.5.7}{Word Splitting}{29}
 @numsubsecentry{Filename Expansion}{3.5.8}{Filename Expansion}{30}
 @numsubsubsecentry{Pattern Matching}{3.5.8.1}{Pattern Matching}{30}
-@numsubsecentry{Quote Removal}{3.5.9}{Quote Removal}{31}
-@numsecentry{Redirections}{3.6}{Redirections}{31}
+@numsubsecentry{Quote Removal}{3.5.9}{Quote Removal}{32}
+@numsecentry{Redirections}{3.6}{Redirections}{32}
 @numsubsecentry{Redirecting Input}{3.6.1}{}{33}
 @numsubsecentry{Redirecting Output}{3.6.2}{}{33}
 @numsubsecentry{Appending Redirected Output}{3.6.3}{}{33}
@@ -45,23 +45,23 @@
 @numsubsecentry{Appending Standard Output and Standard Error}{3.6.5}{}{34}
 @numsubsecentry{Here Documents}{3.6.6}{}{34}
 @numsubsecentry{Here Strings}{3.6.7}{}{34}
-@numsubsecentry{Duplicating File Descriptors}{3.6.8}{}{34}
+@numsubsecentry{Duplicating File Descriptors}{3.6.8}{}{35}
 @numsubsecentry{Moving File Descriptors}{3.6.9}{}{35}
 @numsubsecentry{Opening File Descriptors for Reading and Writing}{3.6.10}{}{35}
 @numsecentry{Executing Commands}{3.7}{Executing Commands}{35}
 @numsubsecentry{Simple Command Expansion}{3.7.1}{Simple Command Expansion}{35}
 @numsubsecentry{Command Search and Execution}{3.7.2}{Command Search and Execution}{36}
-@numsubsecentry{Command Execution Environment}{3.7.3}{Command Execution Environment}{36}
-@numsubsecentry{Environment}{3.7.4}{Environment}{37}
+@numsubsecentry{Command Execution Environment}{3.7.3}{Command Execution Environment}{37}
+@numsubsecentry{Environment}{3.7.4}{Environment}{38}
 @numsubsecentry{Exit Status}{3.7.5}{Exit Status}{38}
-@numsubsecentry{Signals}{3.7.6}{Signals}{38}
+@numsubsecentry{Signals}{3.7.6}{Signals}{39}
 @numsecentry{Shell Scripts}{3.8}{Shell Scripts}{39}
 @numchapentry{Shell Builtin Commands}{4}{Shell Builtin Commands}{41}
 @numsecentry{Bourne Shell Builtins}{4.1}{Bourne Shell Builtins}{41}
 @numsecentry{Bash Builtin Commands}{4.2}{Bash Builtins}{48}
 @numsecentry{Modifying Shell Behavior}{4.3}{Modifying Shell Behavior}{58}
-@numsubsecentry{The Set Builtin}{4.3.1}{The Set Builtin}{58}
-@numsubsecentry{The Shopt Builtin}{4.3.2}{The Shopt Builtin}{62}
+@numsubsecentry{The Set Builtin}{4.3.1}{The Set Builtin}{59}
+@numsubsecentry{The Shopt Builtin}{4.3.2}{The Shopt Builtin}{63}
 @numsecentry{Special Builtins}{4.4}{Special Builtins}{68}
 @numchapentry{Shell Variables}{5}{Shell Variables}{69}
 @numsecentry{Bourne Shell Variables}{5.1}{Bourne Shell Variables}{69}
@@ -70,7 +70,7 @@
 @numsecentry{Invoking Bash}{6.1}{Invoking Bash}{80}
 @numsecentry{Bash Startup Files}{6.2}{Bash Startup Files}{82}
 @numsecentry{Interactive Shells}{6.3}{Interactive Shells}{83}
-@numsubsecentry{What is an Interactive Shell?}{6.3.1}{What is an Interactive Shell?}{83}
+@numsubsecentry{What is an Interactive Shell?}{6.3.1}{What is an Interactive Shell?}{84}
 @numsubsecentry{Is this Shell Interactive?}{6.3.2}{Is this Shell Interactive?}{84}
 @numsubsecentry{Interactive Shell Behavior}{6.3.3}{Interactive Shell Behavior}{84}
 @numsecentry{Bash Conditional Expressions}{6.4}{Bash Conditional Expressions}{85}
@@ -78,7 +78,7 @@
 @numsecentry{Aliases}{6.6}{Aliases}{88}
 @numsecentry{Arrays}{6.7}{Arrays}{89}
 @numsecentry{The Directory Stack}{6.8}{The Directory Stack}{90}
-@numsubsecentry{Directory Stack Builtins}{6.8.1}{Directory Stack Builtins}{90}
+@numsubsecentry{Directory Stack Builtins}{6.8.1}{Directory Stack Builtins}{91}
 @numsecentry{Controlling the Prompt}{6.9}{Controlling the Prompt}{92}
 @numsecentry{The Restricted Shell}{6.10}{The Restricted Shell}{93}
 @numsecentry{Bash POSIX Mode}{6.11}{Bash POSIX Mode}{94}
diff --git a/doc/bashref.vr b/doc/bashref.vr
index 6fd8ace9..383b045f 100644
--- a/doc/bashref.vr
+++ b/doc/bashref.vr
@@ -15,10 +15,10 @@
 \entry{$$}{20}{\code {$$}}
 \entry{!}{20}{\code {!}}
 \entry{$!}{20}{\code {$!}}
-\entry{0}{20}{\code {0}}
-\entry{$0}{20}{\code {$0}}
-\entry{_}{20}{\code {_}}
-\entry{$_}{20}{\code {$_}}
+\entry{0}{21}{\code {0}}
+\entry{$0}{21}{\code {$0}}
+\entry{_}{21}{\code {_}}
+\entry{$_}{21}{\code {$_}}
 \entry{CDPATH}{69}{\code {CDPATH}}
 \entry{HOME}{69}{\code {HOME}}
 \entry{IFS}{69}{\code {IFS}}
@@ -118,18 +118,19 @@
 \entry{auto_resume}{100}{\code {auto_resume}}
 \entry{bell-style}{105}{\code {bell-style}}
 \entry{bind-tty-special-chars}{105}{\code {bind-tty-special-chars}}
+\entry{blink-matching-paren}{105}{\code {blink-matching-paren}}
 \entry{colored-stats}{105}{\code {colored-stats}}
 \entry{comment-begin}{105}{\code {comment-begin}}
 \entry{completion-display-width}{105}{\code {completion-display-width}}
 \entry{completion-ignore-case}{105}{\code {completion-ignore-case}}
-\entry{completion-map-case}{105}{\code {completion-map-case}}
+\entry{completion-map-case}{106}{\code {completion-map-case}}
 \entry{completion-prefix-display-length}{106}{\code {completion-prefix-display-length}}
 \entry{completion-query-items}{106}{\code {completion-query-items}}
 \entry{convert-meta}{106}{\code {convert-meta}}
 \entry{disable-completion}{106}{\code {disable-completion}}
 \entry{editing-mode}{106}{\code {editing-mode}}
 \entry{enable-keypad}{106}{\code {enable-keypad}}
-\entry{expand-tilde}{106}{\code {expand-tilde}}
+\entry{expand-tilde}{107}{\code {expand-tilde}}
 \entry{history-preserve-point}{107}{\code {history-preserve-point}}
 \entry{history-size}{107}{\code {history-size}}
 \entry{horizontal-scroll-mode}{107}{\code {horizontal-scroll-mode}}
diff --git a/doc/bashref.vrs b/doc/bashref.vrs
index 8e85a190..094020ec 100644
--- a/doc/bashref.vrs
+++ b/doc/bashref.vrs
@@ -11,8 +11,8 @@
 \entry {\code {$-}}{20}
 \entry {\code {$?}}{20}
 \entry {\code {$@}}{20}
-\entry {\code {$_}}{20}
-\entry {\code {$0}}{20}
+\entry {\code {$_}}{21}
+\entry {\code {$0}}{21}
 \initial {*}
 \entry {\code {*}}{20}
 \initial {-}
@@ -22,9 +22,9 @@
 \initial {@}
 \entry {\code {@}}{20}
 \initial {_}
-\entry {\code {_}}{20}
+\entry {\code {_}}{21}
 \initial {0}
-\entry {\code {0}}{20}
+\entry {\code {0}}{21}
 \initial {A}
 \entry {\code {auto_resume}}{100}
 \initial {B}
@@ -48,6 +48,7 @@
 \entry {\code {BASHPID}}{70}
 \entry {\code {bell-style}}{105}
 \entry {\code {bind-tty-special-chars}}{105}
+\entry {\code {blink-matching-paren}}{105}
 \initial {C}
 \entry {\code {CDPATH}}{69}
 \entry {\code {CHILD_MAX}}{72}
@@ -63,7 +64,7 @@
 \entry {\code {COMP_WORDS}}{73}
 \entry {\code {completion-display-width}}{105}
 \entry {\code {completion-ignore-case}}{105}
-\entry {\code {completion-map-case}}{105}
+\entry {\code {completion-map-case}}{106}
 \entry {\code {completion-prefix-display-length}}{106}
 \entry {\code {completion-query-items}}{106}
 \entry {\code {COMPREPLY}}{73}
@@ -78,7 +79,7 @@
 \entry {\code {enable-keypad}}{106}
 \entry {\code {ENV}}{73}
 \entry {\code {EUID}}{73}
-\entry {\code {expand-tilde}}{106}
+\entry {\code {expand-tilde}}{107}
 \initial {F}
 \entry {\code {FCEDIT}}{73}
 \entry {\code {FIGNORE}}{74}
